> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-families/bulk-edit
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/bulk-edit:
    patch:
      tags:
        - Catalog Bulk Edit
      summary: Apply
      operationId: CatalogBulkEditController_apply_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CatalogBulkEditApplyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogBulkEditApplyResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CatalogBulkEditApplyDto:
      type: object
      properties:
        targets:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              familyId:
                type: string
              familyVersion:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
              primaryItemId:
                anyOf:
                  - type: string
                  - type: 'null'
              primaryItemVersion:
                anyOf:
                  - type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  - type: 'null'
              primaryFamilySourceId:
                anyOf:
                  - type: string
                  - type: 'null'
              primaryFamilySourceVersion:
                anyOf:
                  - type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  - type: 'null'
              primaryItemSourceId:
                anyOf:
                  - type: string
                  - type: 'null'
              primaryItemSourceVersion:
                anyOf:
                  - type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  - type: 'null'
            required:
              - familyId
              - familyVersion
              - primaryItemId
              - primaryItemVersion
              - primaryFamilySourceId
              - primaryFamilySourceVersion
              - primaryItemSourceId
              - primaryItemSourceVersion
            additionalProperties: false
        fieldKey:
          type: string
          minLength: 1
          maxLength: 255
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
            - type: array
              items:
                type: string
            - type: 'null'
      required:
        - targets
        - fieldKey
        - value
      additionalProperties: false
    CatalogBulkEditApplyResponseDto:
      type: object
      properties:
        updatedCount:
          type: number
        familyIds:
          type: array
          items:
            type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - updatedCount
        - familyIds
        - affectedParentFamilyIds
        - affectedProjectIds
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````